Subject: Re: [REGRESSION] git-wrapper to run-commands codepath regression

From: Andreas Schwab <[email-masked]>
Date: Tue, 19 Apr 2011 00:11:49 +0200

Junio C Hamano <[email-masked]> writes:

> With ebec842 (run-command: prettify -D_FORTIFY_SOURCE workaround,
> 2011-03-16) reverted, I still don't get complaints from -D_FORTIFY_SOURCE
> for run-command.c (but I do get "ignoring return value of 'fwrite' from
> many places).  Perhaps the kinds of checks done by versions of gcc you,
> Jonathan and I use are different.

It's not about fortify warnings, but "set but not used" warnings.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."